import { isFileTransform, } from 'mem-fs';
import { isFilePending } from '../state.js';
async function pipeline(options, ...transforms) {
    let storeOptions = { filter: isFilePending };
    if (isFileTransform(options)) {
        transforms = [options, ...transforms];
        storeOptions = { filter: isFilePending };
    }
    else if (options) {
        const { pendingFiles = true, ...pipelineOptions } = options;
        if (pipelineOptions.filter) {
            const optionsfilter = pipelineOptions.filter;
            if (pendingFiles) {
                pipelineOptions.filter = (file) => optionsfilter(file) && isFilePending(file);
            }
            else {
                pipelineOptions.filter = optionsfilter;
            }
        }
        else {
            pipelineOptions.filter = pendingFiles ? isFilePending : undefined;
        }
        storeOptions = pipelineOptions;
    }
    await this.store.pipeline(storeOptions, ...transforms);
}
export default pipeline;
